Cyberduck Mountain Duck CLI

#8327 closed defect (worksforme)

CloudFiles Region Selection

Reported by: icyliquid Owned by: dkocher
Priority: normal Milestone:
Component: cloudfiles Version: 4.5.2
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description

With latest Cyberduck, adding a Rackspace Cloud Files bookmark does not offer a region selector in the configuration. You are automatically logged into some kind of unholy hybrid where all containers from all regions are mixed together with no notation to indicate origin region. I verified this by watching the Log Drawer and noting the URLs Cyberduck was hitting when it retrieved the contents.

I suggest either a region selector at the bookmark / login configuration screen, or a region selector in the main UI once connected, allowing users to switch regions while connected. Either way, only showing content from one region at a time is a must.

Attachments (2)

Screen-Shot-2014-11-12-at-10.05.01-AM.jpg (47.8 KB) - added by icyliquid on Nov 12, 2014 at 3:11:24 PM.
Duplicated containers due to multi-region merging
Screen-Shot-2014-11-12-at-10.09.02-AM.jpg (113.9 KB) - added by icyliquid on Nov 12, 2014 at 3:14:51 PM.
Proof of same container in multiple regions

Download all attachments as: .zip

Change History (13)

Changed on Nov 12, 2014 at 3:11:24 PM by icyliquid

Duplicated containers due to multi-region merging

Changed on Nov 12, 2014 at 3:14:51 PM by icyliquid

Proof of same container in multiple regions

comment:1 Changed on Nov 12, 2014 at 3:29:27 PM by dkocher

To determine the region of the container, choose View → Columns → Region. This will add a Region column to the browser.

comment:2 Changed on Nov 12, 2014 at 3:29:54 PM by dkocher

See also Regions.

comment:3 Changed on Nov 12, 2014 at 3:32:44 PM by dkocher

  • Milestone set to 4.6
  • Resolution set to worksforme
  • Status changed from new to closed

Duplicate for #7970. Install one of the region specific profiles.

comment:4 follow-up: Changed on Nov 12, 2014 at 3:41:08 PM by icyliquid

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Yeah sorry that doesn't work.

comment:6 follow-up: Changed on Nov 12, 2014 at 3:44:30 PM by icyliquid

As you can see, there is no region column even when it is selected. In addition, this does not solve the core issue. Why even offer a CloudFiles choice in the bookmarks if, to get it to work even at all, you must download an additional profile?

comment:7 in reply to: ↑ 4 ; follow-up: Changed on Nov 12, 2014 at 4:05:38 PM by dkocher

Replying to icyliquid:

Yeah sorry that doesn't work.

Try to resize the browser window to make the columns recalculate their default widths.

comment:8 in reply to: ↑ 6 Changed on Nov 12, 2014 at 4:10:04 PM by dkocher

Replying to icyliquid:

As you can see, there is no region column even when it is selected. In addition, this does not solve the core issue. Why even offer a CloudFiles choice in the bookmarks if, to get it to work even at all, you must download an additional profile?

CloudFiles has its own entry in the connection dropdown beside OpenStack because we supported CloudFiles before OpenStack even existed back when CloudFiles was a product from Mosso.

For the average user we think it is expected and perfectly fine to display containers from all regions. We provide the connection profiles for specific needs as yours.

comment:9 in reply to: ↑ 7 Changed on Nov 12, 2014 at 4:35:47 PM by icyliquid

Replying to dkocher:

Replying to icyliquid:

Yeah sorry that doesn't work.

Try to resize the browser window to make the columns recalculate their default widths.

I tried this. No effect. Even tried resizing the columns themselves, also no effect.

comment:10 Changed on Nov 13, 2014 at 6:47:30 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Resolved according to comment in #8328.

comment:11 Changed on Nov 13, 2014 at 6:47:45 PM by dkocher

  • Milestone 4.6 deleted
Note: See TracTickets for help on using tickets.
swiss made software